> ## Documentation Index
> Fetch the complete documentation index at: https://docs.fincle.com.br/llms.txt
> Use this file to discover all available pages before exploring further.

# List notification deliveries

> Lists notification delivery attempts, with the event, status and destination.



## OpenAPI

````yaml /openapi.yaml get /webhook-deliveries
openapi: 3.0.3
info:
  title: Fincle API
  version: 1.0.0
  description: >-
    Fincle payments API: charges by Pix, credit card and boleto, subscriptions,
    transactions, refunds, infractions, notifications and transfers.
servers:
  - url: https://api.fincle.com.br
    description: Production server
security: []
tags:
  - name: Authentication
    description: Issuance of the access token from the API key.
  - name: Charges
    description: Creation of charges by Pix, credit card and boleto.
  - name: Subscriptions
    description: Recurring billing on credit card.
  - name: Transactions
    description: Retrieval and refund of transactions.
  - name: Refunds
    description: Refund requests submitted by payers.
  - name: Infractions and MED
    description: Pix infraction reports and the amounts blocked as a result.
  - name: Webhooks
    description: Registration of notification endpoints and tracking of deliveries.
  - name: Balance and transfers
    description: Balance, statement, fees and transfer of the amounts received.
paths:
  /webhook-deliveries:
    get:
      tags:
        - Webhooks
      summary: List notification deliveries
      description: >-
        Lists notification delivery attempts, with the event, status and
        destination.
      operationId: listWebhookDeliveries
      parameters:
        - schema:
            type: integer
            minimum: 1
            default: 1
          in: query
          name: page
          required: false
          description: Requested page, starting at 1.
        - schema:
            type: integer
            minimum: 1
            maximum: 100
            default: 10
          in: query
          name: pageSize
          required: false
          description: Number of items per page (maximum 100).
        - schema:
            type: string
            enum:
              - pending
              - success
              - error
              - failed
              - suppressed
          in: query
          name: status
          required: false
          description: Filters by delivery status.
        - schema:
            type: string
            enum:
              - transaction_created
              - transaction_paid
              - transaction_refunded
              - transaction_updated
              - transfer_completed
              - transfer_canceled
              - transfer_created
              - transfer_updated
              - infraction
              - cart_abandoned
              - sale_lost
              - card_declined
              - product_canceled
              - company_approved
              - product_approved
              - product_refused
              - withdrawal_requested
              - withdrawal_sent
              - transaction_reversal
              - release_access
              - vturb_paid
              - vk_metrics_purchase
              - refund_requested
          in: query
          name: event
          required: false
          description: Filters by notified event.
      responses:
        '200':
          description: Page of webhook deliveries of the account.
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                    description: Always `true` in a successful response.
                  data:
                    type: array
                    items:
                      type: object
                      properties:
                        id:
                          type: string
                          description: Delivery identifier.
                        transactionId:
                          type: string
                          nullable: true
                          description: >-
                            Transaction that gave rise to the event, when
                            applicable.
                        type:
                          type: string
                          enum:
                            - transaction
                            - transfer
                            - infraction
                          description: >-
                            Source of the event: transaction, transfer or
                            infraction.
                        event:
                          type: string
                          enum:
                            - transaction_created
                            - transaction_paid
                            - transaction_refunded
                            - transaction_updated
                            - transfer_completed
                            - transfer_canceled
                            - transfer_created
                            - transfer_updated
                            - infraction
                            - cart_abandoned
                            - sale_lost
                            - card_declined
                            - product_canceled
                            - company_approved
                            - product_approved
                            - product_refused
                            - withdrawal_requested
                            - withdrawal_sent
                            - transaction_reversal
                            - release_access
                            - vturb_paid
                            - vk_metrics_purchase
                            - refund_requested
                          description: Notified event.
                        eventType:
                          type: string
                          description: Label of the event as sent in the notification body.
                        status:
                          type: string
                          enum:
                            - pending
                            - success
                            - error
                            - failed
                            - suppressed
                          description: >-
                            Delivery status: pending, delivered, failed or
                            suppressed.
                        url:
                          type: string
                          description: URL that received (or will receive) the POST.
                        retries:
                          type: integer
                          description: Number of retries already made.
                        createdAt:
                          type: string
                          format: date-time
                          description: Time at which the event was queued.
                        updatedAt:
                          type: string
                          format: date-time
                          description: Time of the last attempt.
                      required:
                        - id
                        - transactionId
                        - type
                        - event
                        - eventType
                        - status
                        - url
                        - retries
                        - createdAt
                        - updatedAt
                      additionalProperties: false
                  pagination:
                    type: object
                    properties:
                      page:
                        type: integer
                        description: Page returned.
                      pageSize:
                        type: integer
                        description: Items per page requested.
                      total:
                        type: integer
                        description: Total number of items matching the filter.
                      totalPages:
                        type: integer
                        description: Total number of pages available.
                    required:
                      - page
                      - pageSize
                      - total
                      - totalPages
                    additionalProperties: false
                required:
                  - success
                  - data
                  - pagination
                additionalProperties: false
                description: Page of webhook deliveries of the account.
              example:
                success: true
                data:
                  - id: clx9f1m2p0004qz0a7h8i9j0k
                    transactionId: clx9e0k1n0002qz0a5f6g7h8i
                    type: transaction
                    event: transaction_paid
                    eventType: transaction.paid
                    status: error
                    url: https://api.example.com/webhooks/fincle
                    retries: 3
                    createdAt: '2026-09-10T14:22:05.000Z'
                    updatedAt: '2026-09-10T14:38:41.000Z'
                pagination:
                  page: 1
                  pageSize: 10
                  total: 1
                  totalPages: 1
        '401':
          description: Token missing, invalid, expired or belonging to a blocked account.
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                    description: Always `false` in an error response.
                  message:
                    type: string
                    description: Readable message explaining the failure.
                required:
                  - success
                  - message
                additionalProperties: false
                description: >-
                  Token missing, invalid, expired or belonging to a blocked
                  account.
              example:
                success: false
                message: Token inválido ou expirado
        '422':
          description: The request did not pass schema validation.
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                    description: Always `false` in an error response.
                  message:
                    type: string
                    description: Readable message explaining the failure.
                required:
                  - success
                  - message
                additionalProperties: false
                description: The request did not pass schema validation.
              example:
                success: false
                message: 'name: Nome é obrigatório'
        '429':
          description: >-
            Too many requests: the limit is 1000 requests per minute per source
            IP. Wait the number of seconds given in the `retry-after` header and
            retry with exponential backoff.
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                    description: Always `false` in an error response.
                  message:
                    type: string
                    description: Readable message explaining the failure.
                required:
                  - success
                  - message
                additionalProperties: false
                description: >-
                  Too many requests: the limit is 1000 requests per minute per
                  source IP. Wait the number of seconds given in the
                  `retry-after` header and retry with exponential backoff.
              example:
                success: false
                message: Muitas requisições. Tente novamente em breve.
          headers:
            retry-after:
              $ref: '#/components/headers/retry-after'
            x-ratelimit-limit:
              $ref: '#/components/headers/x-ratelimit-limit'
            x-ratelimit-remaining:
              $ref: '#/components/headers/x-ratelimit-remaining'
            x-ratelimit-reset:
              $ref: '#/components/headers/x-ratelimit-reset'
        '500':
          description: >-
            Internal failure while processing the request. Retry; if it
            persists, open a support ticket stating the time and the route.
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                    description: Always `false` in an error response.
                  message:
                    type: string
                    description: Readable message explaining the failure.
                required:
                  - success
                  - message
                additionalProperties: false
                description: >-
                  Internal failure while processing the request. Retry; if it
                  persists, open a support ticket stating the time and the
                  route.
              example:
                success: false
                message: Erro interno do servidor
      security:
        - bearerAuth: []
components:
  headers:
    retry-after:
      description: Seconds to wait before repeating the request.
      schema:
        type: integer
    x-ratelimit-limit:
      description: >-
        Maximum number of requests in the window (1000). Present in every
        response.
      schema:
        type: integer
    x-ratelimit-remaining:
      description: >-
        Number of requests still available in the current window. Present in
        every response.
      schema:
        type: integer
    x-ratelimit-reset:
      description: Seconds until the window counter resets. Present in every response.
      schema:
        type: integer
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.